Bug 182999 - Installation / configuration problems
Installation / configuration problems
Product: Fedora
Classification: Fedora
Component: moodle (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-02-24 22:21 EST by Brad Hards
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-24 06:09:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brad Hards 2006-02-24 22:21:53 EST
Description of problem:  
Moodle installs fine, but it isn't "ready to use".   
Version-Release number of selected component (if applicable):  
How reproducible:  
Steps to Reproduce:  
1. install moodle (eg yum install moodle moodle-en) 
2. point browser at http://localhost/moodle 
Actual results:  
Blank page with no hint to what could be wrong  
Expected results:  
Working Moodle setup (probably the run-once config setup page)  
Additional info:  
Moodle depends on having either mysql or postgresql running. However neither 
is actually shown as a dependency - it would probably be better to pick one as 
a required dependency. 
After that, Moodle requires access to a set of tables, but they are not 
created. It would be good if the moodle install started the database and 
created the required user (with a randomly generated password) and moodle 
There is probably also some httpd magic required - I haven't got that working 
yet though...
Comment 1 Ignacio Vazquez-Abrams 2006-02-27 06:42:56 EST
One of the documentation files included in the package has some instructions on
how to set the package up once it's been installed. I agree that they could be a
little more explicit, but if the moodle main page doesn't give any clues as to
what could be wrong there's little I can do about that.

As for the database dependency and especially the SQL structures, not happening.
It's not the packages job to modify other system items, especially since there's
no guarantee that the web server and database server are the same machine.

I'll modify the instructions to be a little more detailed, but in the end
there's not an awful lot I can or should do.
Comment 2 Ville Skyttä 2007-04-04 10:09:15 EDT
(Sorry, owner change apparently not propagated to Bugzilla yet.)
Comment 3 Jon Ciesla 2007-10-23 10:58:20 EDT
Do the recent documentation updates address your concerns?
Comment 4 Brad Hards 2007-10-23 21:15:48 EDT
I don't think my opinion and that of the maintainer(s) agree, but this bug 
isn't going to fix that.

I'm happy for it to be closed.
Comment 5 Jon Ciesla 2007-10-24 06:09:27 EDT
Ok.  I certainly didn't write comment #1, but it still is part of the overall
guidelines for packaging database-driven apps.  

Note You need to log in before you can comment on or make changes to this bug.